Package org.apache.lucene.benchmark.byTask.feeds

## Class ReutersQueryMaker

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.feeds.AbstractQueryMaker
  - - org.apache.lucene.benchmark.byTask.feeds.ReutersQueryMaker

- All Implemented Interfaces:
    `QueryMaker`

      public class ReutersQueryMaker
      extends AbstractQueryMaker

  A QueryMaker that makes queries devised manually (by Grant Ingersoll) for searching in the Reuters collection.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.benchmark.byTask.feeds.AbstractQueryMaker

      `config, qnum, queries`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReutersQueryMaker()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Query[]` | `prepareQueries()` |

    - ### Methods inherited from class org.apache.lucene.benchmark.byTask.feeds.AbstractQueryMaker

      `makeQuery, makeQuery, nextQnum, printQueries, resetInputs, setConfig`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReutersQueryMaker

          public ReutersQueryMaker()

  - ### Method Detail

    - #### prepareQueries

          protected Query[] prepareQueries()
                                    throws Exception

      Specified by:
        `prepareQueries` in class `AbstractQueryMaker`
      Throws:
        `Exception`